#!/bin/bash

#SBATCH --job-name=kmeans_gpu
#SBATCH --partition=gpu_4
#SBATCH --gres=gpu:1 # number of requested GPUs (GPU nodes shared between multiple jobs)
#SBATCH --time=10:00 # wall-clock time limit
#SBATCH --nodes=1
#SBATCH --mail-type=ALL

export VENVDIR=~/scai-venv                 # Export path to your virtual environment.
export PYDIR=./                            # Export path to directory containing Python script.

# Set up modules.
module purge                               # Unload all currently loaded modules.
module load compiler/gnu/13.3              # Load required modules.
module load mpi/openmpi/4.1
module load devel/cuda/12.4
module load lib/hdf5/1.14.4-gnu-13.3-openmpi-4.1

source ${VENVDIR}/bin/activate # Activate your virtual environment.

python -u ${PYDIR}/kmeans.py   # Run your Python script.
