#!/bin/bash

#SBATCH --job-name=cdist_strong_4           # job name
#SBATCH --partition=multiple            # queue for resource allocation
#SBATCH --nodes=4                       # number of nodes to be used
#SBATCH --time=4:00                     # wall-clock time limit
#SBATCH --cpus-per-task=40              # number of CPUs required per MPI task
#SBATCH --ntasks-per-node=1             # maximum count of tasks per node
#SBATCH --mail-type=ALL                 # Notify user by email when certain event types occur.

export PYDIR=./
export VENVDIR=~/scai-venv/

# Set up modules.
module purge                    # Unload all currently loaded modules.
module load compiler/gnu/13.3                   # Load required modules.
module load mpi/openmpi/4.1
module load devel/cuda/12.4
module load lib/hdf5/1.14.4-gnu-13.3-openmpi-4.1

source ${VENVDIR}/bin/activate # Activate your virtual environment.

for i in 1 2 3 4 5 6 7 8 9 10 11
do
    echo "Run $i"
    mpirun python -u ${PYDIR}/cdist_kp.py
done
